/*
 * vice onload veci v jedne strance - prevzato z
 * http://simonwillison.net/2004/May/26/addLoadEvent/
 */

function add_load_event(func) {
    var oldonload = window.onload;
    if (typeof window.onload != 'function') {
        window.onload = func;
    } else {
        window.onload = function() {
            if (oldonload) {
                oldonload();
            }
            func();
        }
    }
}

/*
 * Opravi postove adresy v stranke.
 * Prevzate z ISu.
 */
function oprav_postovni_adresu()
{
	adresy = document.getElementsByTagName("span");
	for (var i=0; i < adresy.length; i++) {
		var adresa = adresy[i];
		if (adresa.className != "postovni_adresa")
			continue;

		var skutecna = adresa.innerHTML;
		skutecna = skutecna.replace(/<!--[^-]*?-->/g, '');
		skutecna = skutecna.replace(/<img[^>]*?atsign.gif[^>]*?>/gi, '@'); 
		skutecna = skutecna.replace(/<img[^>]*?dot.gif[^>]*?>/gi, '.');

        var text = skutecna.match(/[^:]*/);
        if (text == "") text = skutecna;
        skutecna = skutecna.replace(/[^:]*?: /,'');
        adresa.innerHTML = '<a href="mailto:'
			+ skutecna + '">' + text + '</a>';
		adresa.normalize();
	}
}

