program tax;
const MAX=2000;
var boss:string[12]='1';
type longn=record
            dign:byte;
	    digs:array[1..500] of word;
          end;
var men:array[1..MAX] of
       	record	
	  name:string[12];
	  init:boolean;
	  son:word;
	  brother:word;
	  withn, woutn:word;
	  withl, woutl:longn;
        end;  
     skinflint:word;

function hash(var s:string):word;
var i,k:word;
begin
  k:=0;
  for i:=1 to length(s) do k:=(3*k+ord(s[i])) mod MAX;
  while (men[k+1].name<>s) and (men[k+1].init) do k:=(k+1) mod MAX;
  if not men[k+1].init then
    begin	  
      men[k+1].name:=s;
      men[k+1].init:=true;
      men[k+1].son:=0;
      men[k+1].brother:=0;
    end;  
  hash:=k+1;	  
end;

procedure init;
var i:word;
begin
  for i:=1 to MAX do men[i].init:=false;
  skinflint:=hash(boss);
end;

procedure read_name(var s:string);
var i:integer;
    c:char;	
begin
  i:=1;	
  s:='';
  repeat
    if eoln then c:=' ' else read(c);
    if c<>' ' then s:=s+c;
  until c=' ';
end;

procedure read_in;
var N:word;
    i,j,k,m,sons:word;	
    c:char;
    name:string[12];	
begin
  readln(N);
  for m:=1 to N do
    begin
      read_name(name);
      k:=hash(name);
      read(sons); if sons<>0 then read(c);
      for i:=1 to sons do
        begin
          read_name(name);
          j:=hash(name);
          men[j].brother:=men[k].son;
          men[k].son:=j;
        end;
      readln;
    end;
end;

procedure print(var p:longn);
var i:word;
begin
  if p.dign=0 then begin write('0'); exit; end;
  for i:=p.dign downto 1 do write(p.digs[i]);
end;

procedure zero(var p:longn);
begin
  p.dign:=0;
end;

procedure one(var p:longn);
begin
  p.dign:=1;
  p.digs[1]:=1;
end;

procedure unif(var p:longn);
var i:word;
    over:word;
begin
  i:=1;
  over:=0;
  while (i<=p.dign) or (over<>0) do
    begin
      if p.dign<i then begin p.dign:=i; p.digs[i]:=0; end;
      p.digs[i]:=p.digs[i]+over;
      over:=p.digs[i] div 10;
      p.digs[i]:=p.digs[i] mod 10;
      inc(i);
    end;
end;

procedure add(var p,q:longn);
var i:word;
begin
  for i:=1 to q.dign do
    begin
      if p.dign<i then begin p.dign:=i; p.digs[i]:=0; end;
      p.digs[i]:=p.digs[i]+q.digs[i];
    end;
  unif(p);
end;

procedure cp(var p,q:longn);
begin
  zero(p);
  add(p,q);
end;

procedure mul(var p,q:longn);
var aux:longn;
    i,j:word;
begin
  aux.dign:=0;
  for i:=1 to p.dign do for j:=1 to q.dign do
    begin
      if i+j-1>aux.dign then begin aux.dign:=i+j-1; aux.digs[i+j-1]:=0; end;
      aux.digs[i+j-1]:=aux.digs[i+j-1]+p.digs[i]*q.digs[j];
    end;
  p.dign:=aux.dign;
  for i:=1 to p.dign do p.digs[i]:=aux.digs[i];
  unif(p);
end;

procedure compute(p: word);
var i,j,k:word;
    onesame:boolean;
    res:longn;
begin
  if men[p].son=0 then
    begin
      men[p].withn:=0;
      men[p].woutn:=0;
      one(men[p].withl);
      one(men[p].woutl);
      exit;
    end;
  i:=men[p].son;
  k:=0;
  onesame:=false;
  while i<>0 do
    begin
      compute(i);
      k:=k+men[i].withn;
      if men[i].withn=men[i].woutn then onesame:=true;
      i:=men[i].brother;
    end;  
  if onesame then
    begin
      men[p].woutn:=k;
      men[p].withn:=k+1;
      one(res);
      i:=men[p].son;
      while i<>0 do
        begin
          mul(res,men[i].withl);
          i:=men[i].brother;
	end;
      cp(men[p].woutl,res);
      zero(men[p].withl);
      i:=men[p].son;
      while i<>0 do
        begin
	  if men[i].withn<>men[i].woutn then begin i:=men[i].brother; continue; end;
          j:=men[p].son;
	  one(res);
	  while j<>0 do
	    begin
	      if i=j then mul(res,men[j].woutl) else mul(res,men[j].withl);
	      j:=men[j].brother;
	    end;  
          add(men[p].withl,res);
          i:=men[i].brother;
        end
    end
  else
    begin
      men[p].woutn:=k;
      men[p].withn:=k;
      one(res);
      i:=men[p].son;
      while i<>0 do
        begin
          mul(res,men[i].withl);
          i:=men[i].brother;
	end;
      cp(men[p].woutl,res);
      cp(men[p].withl,res);
      i:=men[p].son;
      while i<>0 do
        begin
          j:=men[p].son;
	  one(res);
	  while j<>0 do
	    begin
	      if i=j then mul(res,men[j].woutl) else mul(res,men[j].withl);
	      j:=men[j].brother;
	    end;  
          add(men[p].withl,res);
          i:=men[i].brother;
	end
    end; { if-else }
end;

procedure write_out;
begin
  writeln(men[skinflint].withn);
  print(men[skinflint].withl);
  writeln;
end;

begin
  init;
  read_in;
  compute(skinflint);
  write_out;
end.
